Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420155 - MISSED_GRUB_SYMLINK_ISSUE needs to handle UEFI locations of grub.conf
Summary: MISSED_GRUB_SYMLINK_ISSUE needs to handle UEFI locations of grub.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hybrid Cloud Console (console.redhat.com)
Classification: Red Hat
Component: Insights - Rules
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Chris Henderson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 01:13 UTC by Wesley Duffee-Braun
Modified: 2020-07-16 09:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-24 18:51:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wesley Duffee-Braun 2017-02-08 01:13:12 UTC
Description of problem:
The current MISSED_GRUB_SYMLINK_ISSUE code expects RHEL 6 to always have the grub.conf file in /boot/grub/grub.conf. This will flag UEFI systems which place the grub.conf file in /boot/efi/EFI/redhat/grub.conf as being improperly configured.

How reproducible:
Always 

Steps to Reproduce:
1. Run the Insights Client on a properly configured UEFI system
2. Upload the archive
3. Examine the Dashboard

Actual results:
The system will be flagged with the MISSED_GRUB_SYMLINK_ISSUE action

Expected results:
The system does not have the MISSED_GRUB_SYMLINK_ISSUE action.


Note You need to log in before you can comment on or make changes to this bug.